// JavaScript Document



jQuery(document).ready(function() {   

	$(".list_hide").hide();

	
	$("#adresse").click(function(){ 
		$(".blist").css("display","block");
		$(".sep_titre").css("display","block");
		$("#map-canvas").hide();

		$(".list_hide").show();

		$("#carte").removeClass("active");
		$("#adresse").addClass("active");

	});

	$("#carte").click(function(){ 
	$(".sep_titre").css("display","block");
		$("#map-canvas").show();

		$(".list_hide").hide();
		$("#adresse").removeClass("active");
		$("#carte").addClass("active");	

	});	



/**************************************************************************/

function initialize(point,nbzoom) {
  var mapOptions = {
    zoom: nbzoom,
    center: point
  }
  var map = new google.maps.Map(document.getElementById('map-canvas'),
                                mapOptions);

  setMarkers(map, list_add);
}

/**
 * Data for the markers consisting of a name, a LatLng and a zIndex for
 * the order in which these markers should display on top of each
 * other.
 */
   var markers=new Array();
var list_add = [
['Agence Tanger', 35.766667, -5.800000, 0],
['Agence Rabat', 33.971590, -6.849813, 1],
['Agence  FAR', 33.595968, -7.611876, 2],	
['Centre Expert Recrutement', 33.597153, -7.631026, 3],  
['Agence  Racine', 33.591236, -7.641249, 4],
['Agence Bouskoura', 33.464421, -7.621215, 5],
['Agence Marrakech', 31.624119, -7.989189, 6],
['Centre de Recrutement Tourisme-Hôtellerie-Restauration', 31.627418,-7.997634, 7],
['Localisation Agadir', 30.410166, -9.582692, 8],
['Experis Executive (Recrutement cadres et cadres dirigeants)', 33.585071, -7.648346, 9],
['ManpowerGroup Solutions', 33.596658, -7.614426, 10],
['Siège social', 33.591226, -7.641247, 11]
];

function setMarkers(map, locations) {
  // Add markers to the map

  // Marker sizes are expressed as a Size of X,Y
  // where the origin of the image (0,0) is located
  // in the top left of the image.

  // Origins, anchor positions and coordinates of the marker
  // increase in the X direction to the right and in
  // the Y direction down.
  var image = {
    url: 'img/marker.png',
    // This marker is 20 pixels wide by 32 pixels tall.
    size: new google.maps.Size(20, 32),
    // The origin for this image is 0,0.
    origin: new google.maps.Point(0,0),
    // The anchor for this image is the base of the flagpole at 0,32.
    anchor: new google.maps.Point(0, 32)
  };
   var width = $(window).width();
	if(width>1024){

	var  image = {
    url: 'img/marker_big.png',
    // This marker is 20 pixels wide by 32 pixels tall.
    size: new google.maps.Size(50, 75),
    // The origin for this image is 0,0.
    origin: new google.maps.Point(0,0),
    // The anchor for this image is the base of the flagpole at 0,32.
    anchor: new google.maps.Point(0, 32)
  };
		}
  // Shapes define the clickable region of the icon.
  // The type defines an HTML &lt;area&gt; element 'poly' which
  // traces out a polygon as a series of X,Y points. The final
  // coordinate closes the poly by connecting to the first
  // coordinate.
  var shape = {
      coords: [1, 1, 1, 20, 18, 20, 18 , 1],
      type: 'poly'
  };
  

  for (var i = 0; i < locations.length; i++) {
    var beach = locations[i];
    var myLatLng = new google.maps.LatLng(beach[1], beach[2]);
	var marker = new google.maps.Marker({
        position: myLatLng,
        map: map,
        icon: image,
        shape: shape,
		animation: google.maps.Animation.DROP,
        title: beach[0],
        zIndex: beach[3]
    });
	markers[i]=marker;

  }
  
  function style_add(markers_ndex){

		$(".blist").css("display","none");
		$(".sep_titre").css("display","none");
		$("#map-canvas").hide();
		$(".list_hide").show();
		$("#carte").removeClass("active");
		$("#adresse").addClass("active");
		$(".active"+markers_ndex).css("display","block");  	  
	  }
  function markers_list_casa(markers_ndex){
		$(".blist").css("display","none");
		$(".sep_titre").css("display","none");
		$("#map-canvas").hide();
		$(".list_hide").show();
		$("#carte").removeClass("active");
		$("#adresse").addClass("active");
		$(".active2").css("display","block");  
		$(".active3").css("display","block"); 
		$(".active4").css("display","block"); 
		$(".active9").css("display","block");  
		$(".active10").css("display","block"); 
		$(".active11").css("display","block");	
		$(".active5").css("display","block");	 
	  }	  
   function markers_list_kech(markers_ndex){
		$(".blist").css("display","none");
		$(".sep_titre").css("display","none");
		$("#map-canvas").hide();
		$(".list_hide").show();
		$("#carte").removeClass("active");
		$("#adresse").addClass("active");
		$(".active6").css("display","block");  
		$(".active7").css("display","block"); 
			 
	  }
 //-----------------

google.maps.event.addListener(markers[0], 'click', function() {

style_add(markers[0].zIndex);		
  });
  google.maps.event.addListener(markers[1], 'click', function() {
style_add(markers[1].zIndex);
  });
google.maps.event.addListener(markers[2], 'click', function() {
markers_list_casa(markers[2].zIndex);
  });
  google.maps.event.addListener(markers[3], 'click', function() {
markers_list_casa(markers[3].zIndex);		
  });
  google.maps.event.addListener(markers[4], 'click', function() {
markers_list_casa(markers[4].zIndex);
  });
google.maps.event.addListener(markers[5], 'click', function() {
markers_list_casa(markers[5].zIndex);
  });
  
  google.maps.event.addListener(markers[6], 'click', function() {
markers_list_kech(markers[6].zIndex);		
  });
  google.maps.event.addListener(markers[7], 'click', function() {
markers_list_kech(markers[7].zIndex);
  });
google.maps.event.addListener(markers[8], 'click', function() {
style_add(markers[8].zIndex);
  });
  google.maps.event.addListener(markers[9], 'click', function() {
markers_list_casa(markers[9].zIndex);		
  });
  google.maps.event.addListener(markers[10], 'click', function() {
markers_list_casa(markers[10].zIndex);
  });
google.maps.event.addListener(markers[11], 'click', function() {
markers_list_casa(markers[11].zIndex);
  });
  
	 //-----------
  
  

//----------------
}

var point = new google.maps.LatLng(31.791697, -7.092277);
 var width = $(window).width();
 var zoom=6;
 if(width>1024){
zoom=7;
 }
google.maps.event.addDomListener(window, 'load', initialize(point,zoom));

  function toggleBounce(markers) {
	 markers.setAnimation(google.maps.Animation.BOUNCE);
}

  function style_del(Lat,lng,nbzoom,markers,i){
	 var point = new google.maps.LatLng(Lat, lng);
		$(".sep_titre").css("display","block");
		$("#map-canvas").show();
		$(".list_hide").hide();
		$("#adresse").removeClass("active");
		$("#carte").addClass("active");	
		
		//google.maps.event.addDomListener(window, 'load', initialize(point,nbzoom));
		//initialize(point,13); 
		//google.maps.event.addDomListener(window, 'load',initialize(point,nbzoom) );
		
		toggleBounce(markers[i]);
		    /*map.setZoom(13);
  			map.setCenter(markers[i].getPosition());*/
		  for (var j = 0; j < 12; j++) {
				  if(j!=i){
					 markers[j].setAnimation(null);
					}
		 	}
 }	 
	$(".blist.active0").click(function(){ 
		style_del(35.766667,-5.800000, 13,markers,0);
		
	});

	$(".blist.active1").click(function(){ 
		style_del( 33.971590,-6.849813, 13,markers,1);
	});
	$(".blist.active2").click(function(){ 
		style_del( 33.595968,-7.611876, 13,markers,2);
	});	

	$(".blist.active3").click(function(){ 
		style_del(33.597153,-7.631026, 13,markers,3);
	});

	$(".blist.active4").click(function(){ 
		style_del( 33.591236,-7.641249, 13,markers,4);
	});
	$(".blist.active5").click(function(){ 
		style_del( 33.464421,-7.621215, 13,markers,5);
	});	
	
	$(".blist.active6").click(function(){ 
		style_del(31.624119,-7.989189, 13,markers,6);
	});
	$(".blist.active7").click(function(){ 
		style_del(31.627418,-7.997634, 13,markers,7);
	});	

	$(".blist.active8").click(function(){ 
		style_del(30.410166,-9.582692, 13,markers,8);
	});

	$(".blist.active9").click(function(){ 
		style_del( 33.585071,-7.648346, 13,markers,9);
	});
	$(".blist.active10").click(function(){ 
		style_del(33.596658, -7.614426, 13,markers,10);
	});	
	$(".blist.active11").click(function(){ 
		style_del(33.591226, -7.641247, 13,markers,11);
	});			
/******************************/

//----------
});
